# Transform File Reference

`#include <osg/Group>`
`#include <osg/Matrix>`

Include dependency graph for Transform:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osg

## Defines

#define | OSG_TRANSFORM 1
#define | GL_RESCALE_NORMAL 0x803A

## Functions

SG_EXPORT Matrix | computeLocalToWorld (const NodePath &nodePath)
| Compute the matrix which transforms objects in local coords to world coords, by accumulating the Transform local to world matrices along the specified node path.
SG_EXPORT Matrix | computeWorldToLocal (const NodePath &nodePath)
| Compute the matrix which transforms objects in world coords to local coords, by accumulating the Transform world to local matrices along the specified node path.
SG_EXPORT Matrix | computeLocalToEye (const Matrix &modelview, const NodePath &nodePath)
| Compute the matrix which transforms objects in local coords to eye coords, by accumulating the Transform local to world matrices along the specified node path and multipling by the supplied initial camera modelview.
SG_EXPORT Matrix | computeEyeToLocal (const Matrix &modelview, const NodePath &nodePath)
| Compute the matrix which transforms objects in eye coords to local coords, by accumulating the Transform world to local matrices along the specified node path and multipling by the inverse of the supplied initialial camera modelview.

## Define Documentation

#define GL_RESCALE_NORMAL 0x803A

#define OSG_TRANSFORM 1

## Function Documentation

Matrix osg::computeEyeToLocal | ( | const Matrix & | modelview,
|  | const NodePath & | nodePath
| ) |

| Compute the matrix which transforms objects in eye coords to local coords, by accumulating the Transform world to local matrices along the specified node path and multipling by the inverse of the supplied initialial camera modelview.

Matrix osg::computeLocalToEye | ( | const Matrix & | modelview,
|  | const NodePath & | nodePath
| ) |

| Compute the matrix which transforms objects in local coords to eye coords, by accumulating the Transform local to world matrices along the specified node path and multipling by the supplied initial camera modelview.

Matrix osg::computeLocalToWorld | ( | const NodePath & | nodePath | ) |

| Compute the matrix which transforms objects in local coords to world coords, by accumulating the Transform local to world matrices along the specified node path.

Matrix osg::computeWorldToLocal | ( | const NodePath & | nodePath | ) |

| Compute the matrix which transforms objects in world coords to local coords, by accumulating the Transform world to local matrices along the specified node path.